<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
$codigo_grupo=escapar($_POST["cdgr"],'int');
$periodo=escapar($_POST["per_calif"],'int');
if($codigo_grupo=='0x'){
	header("Content-type: application/json");
	echo json_encode(array());
	exit;
}


require_once("../includes/MySQL.php");

$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$wh=" and aca_estudiantesxgrupos.cod_grupo='$codigo_grupo'";


$tbls="FROM
	aca_estudiantes
	INNER JOIN aca_estudiantesxgrupos ON aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante";		

$sql = "SELECT
	aca_estudiantes.cod_estudiante,
	aca_estudiantes.numedocumento_est,
	lcase(CONCAT_WS(' ',aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est)) AS nom_ape,
		(SELECT SUM(aca_inasistencias.num_horas) FROM  aca_inasistencias INNER JOIN aca_estxasigxgrupos ON (aca_inasistencias.cod_estxasigxgrupo = aca_estxasigxgrupos.cod_estxasigxgrupos) WHERE (aca_inasistencias.periodo =$periodo  AND aca_inasistencias.justificada =0 AND aca_estxasigxgrupos.cod_estudiante=aca_estudiantes.cod_estudiante)) as just,
	(SELECT SUM(aca_inasistencias.num_horas) FROM  aca_inasistencias INNER JOIN aca_estxasigxgrupos ON (aca_inasistencias.cod_estxasigxgrupo = aca_estxasigxgrupos.cod_estxasigxgrupos) WHERE (aca_inasistencias.periodo =$periodo  AND aca_inasistencias.justificada =1 AND aca_estxasigxgrupos.cod_estudiante=aca_estudiantes.cod_estudiante)) as injust 	
	
	$tbls WHERE 1=1".$wh. " order by nom_ape asc";
//echo $sql;
$academia->instruccion($sql);
$i=0;

$responce->page = $page;
$responce->total = $total_pages;
$responce->records = $academia->num_rows();
$mayus_nom=$sesion->getVar('configuracion.format_nom');
while($row = $academia->extraer_registro()) {
	$responce->rows[$i]['id']=$row[cod_estudiante];
	$responce->rows[$i]['cell']=array($row[numedocumento_est],formatoPalabras($row['nom_ape'],$mayus_nom),$row[just],$row[injust]);
	$i++;
} 
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();
?>
        